import 'package:cloud_firestore/cloud_firestore.dart';

import '../query_state.dart';

Future<void> documentCommandUpdate(QueryState q, Map<String, dynamic> obj,
    [isMerged = true]) async {
  final document = await q.refDocument().first;
  q.setUpdatedProps(obj, q.uid);
  try {
    return document.set(obj, SetOptions(merge: isMerged));
  } catch (e) {
    throw Exception(e);
  }
}
